##
## EPITECH PROJECT, 2019
## Makefile
## File description:
## My own makefile
##

SRC =	./my_putstr.c \
		./my_putchar.c \
		./is_flag.c \
		./my_helper.c \
		./set_number.c


OBJ =	$(SRC:.c=.o)

NAME =	libmy.a
CFLAGS = -Wall -Wextra -I../../include/

all:	$(NAME)

$(NAME):	$(OBJ)
	ar rc $(NAME) $(OBJ)
	mv $(NAME) ../

clean:
	rm -f $(OBJ)

fclean:	clean
	rm -f ../$(NAME)

re:	fclean all


